Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.connecterra.ale.alevent.impl
Class EngineALEFactory

    java.lang.Object
      com.connecterra.ale.alevent.impl.EngineALEFactory

All Implemented Interfaces:
  ALEFactory

public class EngineALEFactory
extends java.lang.Object
implements ALEFactory

Field Summary
`static ECSubscriptionControls` | `ZERO_CONTROLS`
`static ECInterval` | `ZERO_INTERVAL`

Constructor Summary
`EngineALEFactory()`

Method Summary
`ECCountReportOutputSpec` | `createECCountReportOutputSpec()` Create a new `ECCountReportOutputSpec` instance.
`ECInterval` | `createECInterval()` Create a new `ECInterval` instance, initialized to zero milliseconds.
`ECInterval` | `createECInterval(int value, ECIntervalUnit unit)` Create a new `ECInterval` instance with the specified value and unit.
`ECListReportOutputSpec` | `createECListReportOutputSpec()` Create a new `ECListReportOutputSpec` instance.
`ECReportSpec` | `createECReportSpec()` Create a new `ECReportSpec` instance.
`ECSpec` | `createECSpec()` Create a new `ECSpec` instance.
`ECSubscriptionControls` | `createECSubscriptionControls()` Create a new `ECSubscriptionControls` instance, with all fields initialized to zero, which requests that notification failures never cause a subscription to be unsubscribed.
`ECSubscriptionControls` | `createECSubscriptionControls(int count, long interval)` Create a new `ECSubscriptionControls` instance with the specified count and interval in milliseconds.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### ZERO_INTERVAL

    public static final ECInterval ZERO_INTERVAL

### ZERO_CONTROLS

    public static final ECSubscriptionControls ZERO_CONTROLS

Constructor Detail

### EngineALEFactory

    public EngineALEFactory()

Method Detail

### createECInterval

    public ECInterval createECInterval()

  Description copied from interface: `ALEFactory`
  Create a new `ECInterval` instance, initialized to zero milliseconds.

  Specified by:
    `createECInterval` in interface `ALEFactory`

### createECInterval

    public ECInterval createECInterval(int value,
                                       ECIntervalUnit unit)

  Description copied from interface: `ALEFactory`
  Create a new `ECInterval` instance with the specified value and unit.

  Specified by:
    `createECInterval` in interface `ALEFactory`

### createECReportSpec

    public ECReportSpec createECReportSpec()

  Description copied from interface: `ALEFactory`
  Create a new `ECReportSpec` instance. The returned instance has no name, no `ECReportSet`, no `ECReportOutputSpec`, `reportIfEmpty` and `isEssential` set to false, and has no include or exclude patterns.

  Specified by:
    `createECReportSpec` in interface `ALEFactory`

### createECListReportOutputSpec

    public ECListReportOutputSpec createECListReportOutputSpec()

  Description copied from interface: `ALEFactory`
  Create a new `ECListReportOutputSpec` instance.

  Specified by:
    `createECListReportOutputSpec` in interface `ALEFactory`

### createECCountReportOutputSpec

    public ECCountReportOutputSpec createECCountReportOutputSpec()

  Description copied from interface: `ALEFactory`
  Create a new `ECCountReportOutputSpec` instance.

  Specified by:
    `createECCountReportOutputSpec` in interface `ALEFactory`

### createECSpec

    public ECSpec createECSpec()

  Description copied from interface: `ALEFactory`
  Create a new `ECSpec` instance. The returned instance has empty lists of logical reader names and report specifications, no start or stop trigger, and all intervals set to zero milliseconds.

  Specified by:
    `createECSpec` in interface `ALEFactory`

### createECSubscriptionControls

    public ECSubscriptionControls createECSubscriptionControls()

  Description copied from interface: `ALEFactory`
  Create a new `ECSubscriptionControls` instance, with all fields initialized to zero, which requests that notification failures never cause a subscription to be unsubscribed.

  Specified by:
    `createECSubscriptionControls` in interface `ALEFactory`

### createECSubscriptionControls

    public ECSubscriptionControls createECSubscriptionControls(int count,
                                                               long interval)

  Description copied from interface: `ALEFactory`
  Create a new `ECSubscriptionControls` instance with the specified count and interval in milliseconds.

  Specified by:
    `createECSubscriptionControls` in interface `ALEFactory`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD